Bug 1162554 (CVE-2014-3065) - CVE-2014-3065 IBM JDK: privilege escalation via shared class cache
Summary: CVE-2014-3065 IBM JDK: privilege escalation via shared class cache
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3065
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1148726
TreeView+ depends on / blocked
 
Reported: 2014-11-11 10:08 UTC by Tomas Hoger
Modified: 2019-09-29 13:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 17:15:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1876 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-11-19 23:32:13 UTC
Red Hat Product Errata RHSA-2014:1877 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2014-11-19 23:32:00 UTC
Red Hat Product Errata RHSA-2014:1880 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2014-11-20 21:31:54 UTC
Red Hat Product Errata RHSA-2014:1881 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2014-11-20 21:16:53 UTC
Red Hat Product Errata RHSA-2014:1882 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-12-03 00:43:08 UTC
Red Hat Product Errata RHSA-2015:0264 normal SHIPPED_LIVE Low: Red Hat Satellite IBM Java Runtime security update 2015-02-24 18:44:15 UTC

Description Tomas Hoger 2014-11-11 10:08:22 UTC
IBM JDK updates 5.0 SR16-FP8, 6 SR16-FP2, 6R1 SR8-FP2, 7 SR8, and 7R1 SR2 fix a security issue described in the IBM security bulletin as:

  IBM Java SDK contains a vulnerability in which the default configuration for
  the shared classes feature potentially allows arbitrary code to be injected
  into the shared classes cache, which may subsequently be executed by other
  local users.

This issue may possibly allow local users to run arbitrary code with the privileges of other users that use IBM JDK.

References:
http://www-01.ibm.com/support/docview.wss?uid=swg21688283
http://xforce.iss.net/xforce/xfdb/93629
http://www.ibm.com/developerworks/java/jdk/alerts/#IBM_Security_Update_November_2014

Additional references that describe the shared class cache feature:
http://www.ibm.com/developerworks/library/j-ibmjava4/
http://www.ibm.com/developerworks/library/j-sharedclasses/
http://www-01.ibm.com/support/knowledgecenter/SSYKE2_7.0.0/com.ibm.java.lnx.71.doc/diag/understanding/shared_classes.html
http://www-01.ibm.com/support/knowledgecenter/SSYKE2_7.0.0/com.ibm.java.lnx.71.doc/diag/appendixes/cmdline/Xshareclasses.html

Comment 1 errata-xmlrpc 2014-11-19 18:33:14 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1877 https://rhn.redhat.com/errata/RHSA-2014-1877.html

Comment 2 errata-xmlrpc 2014-11-19 18:34:07 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2014:1876 https://rhn.redhat.com/errata/RHSA-2014-1876.html

Comment 3 errata-xmlrpc 2014-11-20 16:19:30 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1882 https://rhn.redhat.com/errata/RHSA-2014-1882.html

Comment 4 errata-xmlrpc 2014-11-20 16:34:33 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:1880 https://rhn.redhat.com/errata/RHSA-2014-1880.html

Comment 5 errata-xmlrpc 2014-11-20 16:53:15 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1881 https://rhn.redhat.com/errata/RHSA-2014-1881.html

Comment 6 errata-xmlrpc 2015-02-24 13:45:50 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.6

Via RHSA-2015:0264 https://rhn.redhat.com/errata/RHSA-2015-0264.html


Note You need to log in before you can comment on or make changes to this bug.